CMSIS-NN: para_gen.py File Reference

| CMSIS-NN Version 1.3.0 CMSIS NN Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Enumerations Enumerator Macros Groups Pages
Namespaces | Functions | Variables
para_gen.py File Reference

## Namespaces

| para_gen

## Functions

def | para_gen.convert_to_x4_weights
def | para_gen.convert_q7_q15_weights

## Variables

int | para_gen.vec_dim
int | para_gen.row_dim
tuple | para_gen.update_weight
tuple | para_gen.reset_weight
tuple | para_gen.hidden_weight
tuple | para_gen.update_bias
tuple | para_gen.reset_bias
tuple | para_gen.hidden_bias
tuple | para_gen.input_data1
tuple | para_gen.input_data2
tuple | para_gen.history_data
tuple | para_gen.outfile
tuple | para_gen.weight
tuple | para_gen.new_weight